/* Custom mixins */
.to_top {
  position: absolute;
  right: 12px;
  top: -68px;
  width: 43px;
  height: 43px;
  background: #1A1A20;
  cursor: pointer;
  border-radius: 2px;
}
.to_top:before {
  content: '';
  width: 29px;
  height: 21px;
  position: absolute;
  left: 50%;
  top: 50%;
  background: url('../img/bgi/svg/to-top.svg') 0 0 no-repeat;
  margin: -10.5px 0 0 -14.5px;
}
@media only screen and (min-width: 768px) {
  .to_top {
    top: -56px;
  }
}
@media only screen and (min-width: 768px) {
  .to_top {
    top: -54px;
    right: 7px;
  }
}
@media only screen and (min-width: 1400px) {
  .to_top {
    top: -84px;
    right: 12px;
  }
}
#footer.portal_footer,
#footer.checkout_footer,
#footer.shop_footer {
  padding: 40px 10px 25px;
}
@media only screen and (min-width: 768px) {
  #footer.portal_footer,
  #footer.checkout_footer,
  #footer.shop_footer {
    padding: 40px 0 25px;
  }
}
#footer.portal_footer a,
#footer.checkout_footer a,
#footer.shop_footer a {
  text-decoration: none;
}
#footer.portal_footer .footer-col a,
#footer.checkout_footer .footer-col a,
#footer.shop_footer .footer-col a {
  font-size: 1.5rem;
}
#footer.portal_footer .footer-col.contact a,
#footer.checkout_footer .footer-col.contact a,
#footer.shop_footer .footer-col.contact a {
  display: flex;
  flex-direction: row;
  margin: 0 0 25px;
  align-items: center;
  gap: 10px;
}
#footer.portal_footer .footer-col.contact a > sl-icon,
#footer.checkout_footer .footer-col.contact a > sl-icon,
#footer.shop_footer .footer-col.contact a > sl-icon {
  filter: invert(100%);
  font-size: 3.2rem;
}
#footer.portal_footer .footer-col.contact a > div,
#footer.checkout_footer .footer-col.contact a > div,
#footer.shop_footer .footer-col.contact a > div {
  line-height: 1.8rem;
  text-transform: uppercase;
}
#footer.portal_footer nav,
#footer.checkout_footer nav,
#footer.shop_footer nav {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  gap: 3px;
}
#footer.portal_footer .footer-col-container,
#footer.checkout_footer .footer-col-container,
#footer.shop_footer .footer-col-container {
  display: grid;
  grid-template-columns: 1fr;
  gap: 15px;
}
@media only screen and (min-width: 768px) {
  #footer.portal_footer .footer-col-container,
  #footer.checkout_footer .footer-col-container,
  #footer.shop_footer .footer-col-container {
    grid-template-columns: 1fr 1fr;
  }
}
@media only screen and (min-width: 1024px) {
  #footer.portal_footer .footer-col-container,
  #footer.checkout_footer .footer-col-container,
  #footer.shop_footer .footer-col-container {
    grid-template-columns: 1fr 1fr 1fr;
  }
}
@media only screen and (min-width: 1280px) {
  #footer.portal_footer .footer-col-container,
  #footer.checkout_footer .footer-col-container,
  #footer.shop_footer .footer-col-container {
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
  }
}
#footer.portal_footer .footer-col,
#footer.checkout_footer .footer-col,
#footer.shop_footer .footer-col {
  margin: 0 0 40px;
}
#footer.portal_footer .labelstyle,
#footer.checkout_footer .labelstyle,
#footer.shop_footer .labelstyle {
  display: block;
}
#footer.portal_footer .footer-row,
#footer.checkout_footer .footer-row,
#footer.shop_footer .footer-row {
  padding: 25px 0 0;
  display: flex;
  flex-direction: column;
}
@media only screen and (min-width: 768px) {
  #footer.portal_footer .footer-row,
  #footer.checkout_footer .footer-row,
  #footer.shop_footer .footer-row {
    flex-direction: row;
    padding: 25px 0 0;
    justify-content: space-between;
  }
}
#footer.portal_footer .footer-row hr,
#footer.checkout_footer .footer-row hr,
#footer.shop_footer .footer-row hr {
  margin: 1rem 0;
  width: 50px;
}
#footer.portal_footer .footer-row nav,
#footer.checkout_footer .footer-row nav,
#footer.shop_footer .footer-row nav {
  gap: 10px;
}
@media only screen and (min-width: 768px) {
  #footer.portal_footer .footer-row nav,
  #footer.checkout_footer .footer-row nav,
  #footer.shop_footer .footer-row nav {
    flex-direction: row;
  }
}
@media only screen and (min-width: 768px) {
  #footer.portal_footer .footer-row .footer-row-left,
  #footer.checkout_footer .footer-row .footer-row-left,
  #footer.shop_footer .footer-row .footer-row-left {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 20px;
    flex-wrap: wrap;
  }
}
#footer.portal_footer .footer-row .socials,
#footer.checkout_footer .footer-row .socials,
#footer.shop_footer .footer-row .socials {
  display: flex;
  flex-direction: row;
  gap: 15px;
  margin: 15px 0 0;
}
#footer.portal_footer .footer-row .socials sl-icon,
#footer.checkout_footer .footer-row .socials sl-icon,
#footer.shop_footer .footer-row .socials sl-icon {
  filter: invert(100%);
  font-size: 3rem;
}
#footer.portal_footer .footer-newsletter-form-fields,
#footer.checkout_footer .footer-newsletter-form-fields,
#footer.shop_footer .footer-newsletter-form-fields {
  flex-wrap: nowrap;
}
#footer.portal_footer .footer-newsletter-form-fields sl-button::part(base),
#footer.checkout_footer .footer-newsletter-form-fields sl-button::part(base),
#footer.shop_footer .footer-newsletter-form-fields sl-button::part(base) {
  padding-inline-start: var(--sl-spacing-small);
}
#footer.portal_footer .footer-newsletter-form-fields sl-button::part(label),
#footer.checkout_footer .footer-newsletter-form-fields sl-button::part(label),
#footer.shop_footer .footer-newsletter-form-fields sl-button::part(label) {
  display: none;
}
#footer.portal_footer .footer-col:has(.collapsible),
#footer.checkout_footer .footer-col:has(.collapsible),
#footer.shop_footer .footer-col:has(.collapsible) {
  margin: 0;
}
@media only screen and (min-width: 768px) {
  #footer.portal_footer .footer-col:has(.collapsible),
  #footer.checkout_footer .footer-col:has(.collapsible),
  #footer.shop_footer .footer-col:has(.collapsible) {
    margin: 0 0 40px;
  }
}
#footer.portal_footer .footer-col:has(.collapsible) nav,
#footer.checkout_footer .footer-col:has(.collapsible) nav,
#footer.shop_footer .footer-col:has(.collapsible) nav,
#footer.portal_footer .footer-col:has(.collapsible) .logos,
#footer.checkout_footer .footer-col:has(.collapsible) .logos,
#footer.shop_footer .footer-col:has(.collapsible) .logos {
  height: 0;
  overflow: hidden;
}
@media only screen and (min-width: 768px) {
  #footer.portal_footer .footer-col:has(.collapsible) nav,
  #footer.checkout_footer .footer-col:has(.collapsible) nav,
  #footer.shop_footer .footer-col:has(.collapsible) nav,
  #footer.portal_footer .footer-col:has(.collapsible) .logos,
  #footer.checkout_footer .footer-col:has(.collapsible) .logos,
  #footer.shop_footer .footer-col:has(.collapsible) .logos {
    height: auto;
  }
}
#footer.portal_footer .footer-col:has(.collapsible).expanded,
#footer.checkout_footer .footer-col:has(.collapsible).expanded,
#footer.shop_footer .footer-col:has(.collapsible).expanded {
  margin: 0 0 40px;
}
#footer.portal_footer .footer-col:has(.collapsible).expanded nav,
#footer.checkout_footer .footer-col:has(.collapsible).expanded nav,
#footer.shop_footer .footer-col:has(.collapsible).expanded nav,
#footer.portal_footer .footer-col:has(.collapsible).expanded .logos,
#footer.checkout_footer .footer-col:has(.collapsible).expanded .logos,
#footer.shop_footer .footer-col:has(.collapsible).expanded .logos {
  height: auto;
}
#footer.portal_footer .footer-col .collapsible,
#footer.checkout_footer .footer-col .collapsible,
#footer.shop_footer .footer-col .collapsible {
  position: relative;
}
#footer.portal_footer .footer-col .collapsible:after,
#footer.checkout_footer .footer-col .collapsible:after,
#footer.shop_footer .footer-col .collapsible:after {
  content: '';
  background: url('/img/icon/webicons/chevron_right.svg') no-repeat center center;
  display: inline-block;
  height: 15px;
  width: 15px;
  right: -5px;
  top: 3px;
  position: relative;
  filter: invert(100%);
}
@media only screen and (min-width: 768px) {
  #footer.portal_footer .footer-col .collapsible:after,
  #footer.checkout_footer .footer-col .collapsible:after,
  #footer.shop_footer .footer-col .collapsible:after {
    display: none;
  }
}
#footer.checkout_footer .footer-col-container,
#footer.shop_footer .footer-col-container {
  grid-template-columns: 1fr;
}
@media only screen and (min-width: 768px) {
  #footer.checkout_footer .footer-col-container,
  #footer.shop_footer .footer-col-container {
    grid-template-columns: 1fr 1fr;
  }
}
@media only screen and (min-width: 1024px) {
  #footer.checkout_footer .footer-col-container,
  #footer.shop_footer .footer-col-container {
    grid-template-columns: 1fr 1fr 1fr;
  }
}
#footer.checkout_footer .logos,
#footer.shop_footer .logos {
  display: flex;
  flex-direction: row;
  align-items: center;
  flex-wrap: wrap;
  gap: 25px;
}
@media only screen and (min-width: 768px) {
  #footer.checkout_footer .logos,
  #footer.shop_footer .logos {
    flex-direction: row;
    align-items: flex-start;
  }
}
#footer.checkout_footer .logos img,
#footer.shop_footer .logos img {
  max-width: 200px;
  height: auto;
  flex-shrink: 0;
  max-height: 40px;
}
@media only screen and (min-width: 1024px) {
  #footer.checkout_footer .logos img,
  #footer.shop_footer .logos img {
    max-height: initial;
  }
}
#footer.checkout_footer .logos img.restrict,
#footer.shop_footer .logos img.restrict {
  max-width: 80px;
}
#footer.checkout_footer .back-link sl-button,
#footer.shop_footer .back-link sl-button {
  margin-left: auto;
  display: block;
  width: fit-content;
}
@media only screen and (min-width: 1024px) {
  #footer.shop_footer .footer-col-container {
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-areas: "contact service secure" "contact payment delivery";
  }
  #footer.shop_footer .footer-col-container .contact {
    grid-area: contact;
  }
  #footer.shop_footer .footer-col-container .service {
    grid-area: service;
  }
  #footer.shop_footer .footer-col-container .secure {
    grid-area: secure;
  }
  #footer.shop_footer .footer-col-container .payment {
    grid-area: payment;
  }
  #footer.shop_footer .footer-col-container .delivery {
    grid-area: delivery;
  }
}
#footer.shop_footer .payment img,
#footer.shop_footer .delivery img {
  height: 28px;
  width: auto;
}
@media only screen and (min-width: 1024px) {
  #footer.shop_footer .payment img,
  #footer.shop_footer .delivery img {
    height: 32px;
  }
}
.footer-newsletter {
  display: block;
  margin-bottom: 20px;
}
.footer-newsletter:not(.shop) {
  margin-top: 50px;
}
.footer-newsletter .footer-newsletter-form-fields {
  display: flex;
  flex-wrap: wrap;
}
.footer-newsletter .footer-newsletter-form-fields sl-input {
  flex: 1;
  max-width: 300px;
}
